using System;
using NinjaTrader.Cbi;

internal sealed class Delegate179 : MulticastDelegate
{
	public extern Connection Invoke(object object_0);

	public static Connection smethod_0(object object_0, Delegate179 delegate179_1)
	{
		return delegate179_1(object_0);
	}

	public extern Delegate179(object object_0, IntPtr intptr_0);

	static Delegate179()
	{
		Class10.smethod_13(typeof(Delegate179).TypeHandle);
	}

	internal static Delegate179 delegate179_0;
}
